<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:saxon="http://icl.com/saxon"
                extension-element-prefixes="saxon"
                version="1.0">
 
<xsl:variable name="regions" select="//region[not(@name=preceding::region/@name)]"/>

<xsl:variable name="tree">
    <xsl:for-each select="$regions">
        <xsl:sort select="@name"/>
        <region name="{@name}">
            <xsl:for-each select="//region[@name=current()/@name]">
                <product name="{../@name}" sales="{@sales}"/>
            </xsl:for-each>
        </region>
    </xsl:for-each>
</xsl:variable>

<xsl:template match="/">
<html><body>
    <h1>Sales of Jam by Region</h1>
    <xsl:apply-templates select="saxon:node-set($tree)/region"/>
</body></html>
</xsl:template>

<xsl:template match="region">
    <h1>Region <xsl:number format="A"/>: <xsl:value-of select="@name"/></h1>
    <xsl:apply-templates/>
</xsl:template>

<xsl:template match="product">
    <h2>Product <xsl:number level="multiple" 
                 count="product | region" format="A.i"/></h2>
    <p><xsl:value-of select="@name"/></p>
    <p>Total sales: <xsl:value-of select="format-number(@sales, '$###0.00')"/></p>
</xsl:template>

</xsl:stylesheet>

